//------------------------------------------------------------------------------
// Licensed Materials - Property of IBM
// Restricted Materials of IBM  - Modification is prohibited.
//
// (c) Copyright IBM Corporation 2004, 2006. All Rights Reserved. 
//
// Note to U.S. Government Users Restricted Rights:  Use, duplication or 
// disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
//------------------------------------------------------------------------------
function expandGroup(evt)
{	
	var eventType;
	
	if (window.event) //IE only
    	eventType = window.event.srcElement;
	else 
		eventType = evt.target;

	var selectedGroup = eventType.parentNode;	
	var groupChildren = selectedGroup.getElementsByTagName("DIV");
	var imgSrc = new String(eventType.getAttribute("src"));
    
    if(groupChildren.length > 0)
    {
        var classValue;
        var groupInput = selectedGroup.getElementsByTagName("INPUT").item(0);
        var inputValue = new String(groupInput.getAttribute("value"));
        
        if (inputValue == "1")
        {
            eventType.setAttribute('src', imgSrc.replace("minus", "plus"));
            groupInput.setAttribute('value', inputValue.replace("1", "0"));
            classValue = "result invisible";
        }
        else
        {
            eventType.setAttribute('src', imgSrc.replace("plus", "minus"));
            groupInput.setAttribute('value', inputValue.replace("0", "1"));
            classValue = "result visible";
        }

        for(var counter = 0; counter < groupChildren.length; counter++)
        {
            groupChildren.item(counter).className = classValue;
        }
    }
}

function expandGroupForTabKey(evt)
{
	var eventType;
	
	if (window.event) //IE only
    	eventType = window.event.srcElement;
	else 
		eventType = evt.target;

	var selectedGroup = eventType.parentNode;
	var groupChildren = selectedGroup.getElementsByTagName("DIV")    
    var imgSrc = new String(eventType.getAttribute("src"));
       
    if(groupChildren.length > 0)
    {
        var classValue;
        var groupInput = selectedGroup.getElementsByTagName("INPUT").item(0);
        var inputValue = new String(groupInput.getAttribute("value"));
       
        if (inputValue == "0")
        {        	
            eventType.setAttribute('src', imgSrc.replace("plus", "minus"));
            groupInput.setAttribute('value', inputValue.replace("0", "1"));
            //groupInput.value = "1";
            classValue = "result visible";
             
            for(var counter = 0; counter < groupChildren.length; counter++)
        	{
            	groupChildren.item(counter).className = classValue;
        	}
        }        
    }
}

function disableAnchor(obj, disable)
{
  if(disable)
  {
    if (window.navigator.appName.toLowerCase().indexOf("microsoft") > -1) { // IE;
      if(obj.href!="")
        obj.setAttribute('href_bak', obj.attributes['href'].nodeValue);
    }
    else{
      if (window.navigator.appName.toLowerCase().indexOf("netscape") > -1) // Firefox
      {
        if(obj.attributes['href']!=null)
          obj.setAttribute('href_bak', obj.attributes['href'].nodeValue);
      }
      else
        alert("Error: This application does not support your browser.  Try again using IE or Firefox.");
    }
    obj.removeAttribute('href');
  }
  else{
    obj.setAttribute('href', obj.attributes['href_bak'].nodeValue);
  }
}